Last Comment Bug 764265 - "service windows" should be limited to same domain as provider/worker
: "service windows" should be limited to same domain as provider/worker
Status: RESOLVED FIXED
[Fx16]
:
Product: Firefox
Classification: Client Software
Component: SocialAPI (show other bugs)
: unspecified
: x86_64 Windows Vista
: -- normal (vote)
: ---
Assigned To: Shane Caraveo (:mixedpuppy)
:
: Shane Caraveo (:mixedpuppy)
Mentors:
Depends on:
Blocks: 763839 770695
  Show dependency treegraph
 
Reported: 2012-06-12 22:13 PDT by Mark Hammond [:markh]
Modified: 2013-12-27 14:19 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Mark Hammond [:markh] 2012-06-12 22:13:57 PDT
The "social window" (ie, the popup windows rather than the sidebar windows) should be limited to being from the same origin as the worker.  Bug 763839 asks for the status bar to be removed as showing the location of the window has "little value" - but that is only true if there is some certainty it is hosted by the provider which opened it.  Further, windows wanting a "generic" popup window is still free to use window.open to get one.
Comment 1 Asa Dotzler [:asa] 2012-07-03 12:51:02 PDT
Who is going to tackle this? We can't have unowned 16 bugs.
Comment 2 Shane Caraveo (:mixedpuppy) 2012-07-03 13:04:41 PDT
I'll take this
Comment 3 Shane Caraveo (:mixedpuppy) 2012-07-03 13:48:16 PDT
fixed for addon in https://github.com/mozilla/socialapi-dev/commit/4cd5018c32da2e353ca64265bf4e4e944a2c3a6a

This should as well be a part of landing the service window.
Comment 4 Asa Dotzler [:asa] 2012-07-03 15:47:31 PDT
(In reply to Shane Caraveo (:mixedpuppy) from comment #3)
> fixed for addon in
> https://github.com/mozilla/socialapi-dev/commit/
> 4cd5018c32da2e353ca64265bf4e4e944a2c3a6a
> 
> This should as well be a part of landing the service window.

Shane, can you explain what "fixed for addon" means? Why is this being fixed in an add-on and not in Firefox where we have a swift approaching deadline?
Comment 5 Shane Caraveo (:mixedpuppy) 2012-07-03 15:54:25 PDT
(In reply to Asa Dotzler [:asa] from comment #4)
> (In reply to Shane Caraveo (:mixedpuppy) from comment #3)
> > fixed for addon in
> > https://github.com/mozilla/socialapi-dev/commit/
> > 4cd5018c32da2e353ca64265bf4e4e944a2c3a6a
> > 
> > This should as well be a part of landing the service window.
> 
> Shane, can you explain what "fixed for addon" means? Why is this being fixed
> in an add-on and not in Firefox where we have a swift approaching deadline?

The patch to land would come from the addon presumably, and would be ready after the frameworker hits m-c.
Comment 6 Asa Dotzler [:asa] 2012-07-03 16:01:36 PDT
(In reply to Shane Caraveo (:mixedpuppy) from comment #5)
> (In reply to Asa Dotzler [:asa] from comment #4)
> > (In reply to Shane Caraveo (:mixedpuppy) from comment #3)
> > > fixed for addon in
> > > https://github.com/mozilla/socialapi-dev/commit/
> > > 4cd5018c32da2e353ca64265bf4e4e944a2c3a6a
> > > 
> > > This should as well be a part of landing the service window.
> > 
> > Shane, can you explain what "fixed for addon" means? Why is this being fixed
> > in an add-on and not in Firefox where we have a swift approaching deadline?
> 
> The patch to land would come from the addon presumably, and would be ready
> after the frameworker hits m-c.

OK. Thanks for that info. I think frameworker just landed (on inbound?) and will make the next m-c merge? Will you port the add-on change to a patch here for review?
Comment 7 Shane Caraveo (:mixedpuppy) 2012-07-03 16:11:47 PDT
(In reply to Asa Dotzler [:asa] from comment #6)
> (In reply to Shane Caraveo (:mixedpuppy) from comment #5)
> > (In reply to Asa Dotzler [:asa] from comment #4)
> > > (In reply to Shane Caraveo (:mixedpuppy) from comment #3)
> > > > fixed for addon in
> > > > https://github.com/mozilla/socialapi-dev/commit/
> > > > 4cd5018c32da2e353ca64265bf4e4e944a2c3a6a
> > > > 
> > > > This should as well be a part of landing the service window.
> > > 
> > > Shane, can you explain what "fixed for addon" means? Why is this being fixed
> > > in an add-on and not in Firefox where we have a swift approaching deadline?
> > 
> > The patch to land would come from the addon presumably, and would be ready
> > after the frameworker hits m-c.
> 
> OK. Thanks for that info. I think frameworker just landed (on inbound?) and
> will make the next m-c merge? Will you port the add-on change to a patch
> here for review?

Yes, this change would land as part of bug 770695 which I just created (there was no bug to track landing the chat window).
Comment 8 Shane Caraveo (:mixedpuppy) 2012-07-03 16:16:41 PDT
In fact, I am going to resolve this as fixed as it would land as part of bug 770695
Comment 9 Asa Dotzler [:asa] 2012-07-03 16:21:47 PDT
(In reply to Shane Caraveo (:mixedpuppy) from comment #8)
> In fact, I am going to resolve this as fixed as it would land as part of bug
> 770695

Thanks for helping me understand this, Shane. I apologize if I'm coming across as nagging. There are lots of people asking me where we're at with these features so I'm asking more questions than I normally would be. The "Eye of Sauron" is upon us :)

Note You need to log in before you can comment on or make changes to this bug.